This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 167443 - CAN-2005-2797 Insecure dynamic port forwarding
CAN-2005-2797 Insecure dynamic port forwarding
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
impact=moderate,reported=20050901,pub...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-02 13:43 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: openssh-4.2p1-fc4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-13 04:41:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch from upstream CVS (763 bytes, patch)
2005-09-02 14:01 EDT, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2005-09-02 13:43:31 EDT
http://secunia.com/advisories/16686/

The OpenSSH 4.2 release fixes a bug in its dynamic port forwarding.

1) An error in handling dynamic port forwardings when no listen address is
specified, can cause "GatewayPorts" to be incorrectly activated.

The security issue is reportedly introduced in version 4.0.

This issue only affects FC4
Comment 1 Josh Bressers 2005-09-02 14:01:35 EDT
Created attachment 118397 [details]
Patch from upstream CVS
Comment 2 Tomas Mraz 2005-09-07 12:26:24 EDT
OpenSSH in FC4 upgraded to 4.2p1 - openssh-4.2p1-fc4.1 (in testing)

Note You need to log in before you can comment on or make changes to this bug.